frei0r (3.4.0-1) unstable; urgency=medium

  * New upstream version 3.4.0
    (Closes: #1144633, Closes: #1142669, LP: #2147216)
  * Migrate /usr/lib/frei0r-1 to multiarch when upgrading
  * Add a non-superficial autopkgtest
  * Update copyright information
    + Add new copyright stanzas

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 18 Aug 2026 17:53:14 +0200

frei0r (3.2.3-1) unstable; urgency=medium

  * New upstream version 3.2.3
    + Drop patches applied upstream
  * Update dh-compat to 14

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 29 Jun 2026 12:57:37 +0200

frei0r (3.2.1-2) unstable; urgency=medium

  * Patch to fix ising0r segfault on various architectures

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sat, 20 Jun 2026 18:11:29 +0200

frei0r (3.2.1-1) unstable; urgency=medium

  * New upstream version 3.2.1

  * Re-establish autopkgtests
  * frei0r-plugins-doc
    + Adjust to upstream move of documentation files
    + B-D on graphviz
    + Exclude package in "nodoc" profile
  * Update copyright information
    + Add new files to d/copyright
    + Exclude images from licensecheck
    + Re-generate d/copyright_hints
    + Add d/lrc.config for licenserecon overrides

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Fri, 19 Jun 2026 13:17:08 +0200

frei0r (3.1.3-2) unstable; urgency=medium

  [ Pino Toscano ]
  * Limit gavl usage to Linux

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 11 May 2026 10:02:54 +0200

frei0r (3.1.3-1) unstable; urgency=medium

  * New upstream version 3.1.3

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 22 Apr 2026 11:04:44 +0200

frei0r (3.1.2-1) unstable; urgency=medium

  * New upstream version 3.1.2
  * B-D on ninja-build
  * Add patch to drop onerous GNUmakefile
  * Update copyright information
    + New tests/ module under AGPL-3+
    + New 'camerashake' filter under GPL-3+
    + Re-generate d/copyright_hints
  * Bump standards version to 4.7.4

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Fri, 17 Apr 2026 12:30:58 +0200

frei0r (2.5.6-1) unstable; urgency=medium

  * New upstream version 2.5.6

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 30 Mar 2026 09:03:38 +0200

frei0r (2.5.5-1) unstable; urgency=medium

  * New upstream version 2.5.5

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 23 Mar 2026 10:00:12 +0100

frei0r (2.5.4-1) unstable; urgency=medium

  * New upstream version 2.5.4
  * Drop obsolete 'Priority: optional' stanza.
  * Bump standards version to 4.7.3

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 02 Mar 2026 17:18:09 +0100

frei0r (2.5.1-1) unstable; urgency=medium

  * New upstream version 2.5.1
  * Update copyright information
    + Update license for flitch0r and rgbsplit0r
    + Update d/copyright dates
    + Re-generate d/copyright_hints
  * Drop obsolete Rules-Requires-Root stanza.

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 08 Dec 2025 16:23:29 +0100

frei0r (2.5.0-1) unstable; urgency=medium

  * New upstream version 2.5.0

  * Update copyright information
    + Add new copyright holders
    + Re-generate d/copyright_hints
    + Group copyright stanzas alphabetically
  * Update d/watch to version 5

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Fri, 07 Nov 2025 13:09:58 +0100

frei0r (2.4.0-1) unstable; urgency=medium

  * New upstream version 2.4.0
    (Closes: #1112936)

  [ Alexandre Detiste ]
  * remove obsolete dh-buildinfo build dependency

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Drop obsolete patches
  * Install plugins to multiarch locations (with compat symlinks)
    (for CMake 4)
  * Install frei0r.pc into /usr/share/pkgconfig
    + Ensure that frei0r.pc can be shared across architectures
  * Update copyright information
    + Update d/copyright
    + Re-generate d/copyright_hints
  * Update git repository layout to follow DEP-14
  * Bump standards version to 4.7.2

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 08 Sep 2025 14:38:38 +0200

frei0r (2.3.3-1) unstable; urgency=medium

  * New upstream version 2.3.3
    (Closes: #1076161)
  * Adjust to upstream's new buildsystem
    + Drop obsolete patches
    + Add patch to ensure that CFLAGS are honoured by Cmake
    + B-D on cmake
  * B-D on pkgconf rather than pkg-config
  * Add autopkgtest
  * Drop outdated d/README.source
  * Update copyright information
    + Update d/copyright
    + Re-generate d/copyright_hints
    + Modernize 'licensecheck' target
  * Update d/watch to monitor github repository
  * Apply 'wrap-and-sort -ast'
  * Bump standards version to 4.7.0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sat, 11 Jan 2025 20:09:00 +0100

frei0r (1.8.0-1) unstable; urgency=medium

  * New upstream version 1.8.0 (Closes: #942560)
    * Drop patches applied upstream
  * Refresh patches
    * Don't attempt to install non-existant TODO.txt
  * Re-enable libopencv-dev
  * Update d/copyright
    * Regenerate d/copyright_hints

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 29 Mar 2022 09:04:39 +0200

frei0r (1.7.0-2) unstable; urgency=medium

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Add salsa-ci configuration
  * Bump d/watch version to 4
  * Bump dh-compat to 13
    * Install docs from d/tmp/ to keep dh>=13 happy
    * ChangeLog.txt need not be installed separatedly
  * Bump standards version to 4.6.0

  [ Jonas Smedegaard ]
  * Remove myself from Uploaders

  [ Debian Janitor ]
  * Wrap long lines in changelog entries: 1.6.1-3.
  * Use secure URI in Homepage field.

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 09 Dec 2021 10:44:43 +0100

frei0r (1.7.0-1) unstable; urgency=medium

  * New upstream version 1.7.0
    * Remove patches applied upstream
  * Temporarily drop B-D on libopencv (frei0r is not ready for OpenCV4)
    * Also drop Suggests on opencv-data
    * Related: #942560
  * Patch to fix data-files
  * Patch to fix spelling errors
  * Extend long description of frei0r-plugins-dev
  * Switched d/watch to https://files.dyne.org/
  * Update d/copyright
    * Regenerate d/copyright_hints
  * Bump standards to 4.5.0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 29 Jan 2020 10:28:28 +0100

frei0r (1.6.1-4) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Install frei0r.pc in the correct place (Closes: #939945)
  * Add patch to allow compilation against OpenCV-3.4 (Closes: #915707)
  * Install upstream README and friends...
  * Bump dh-compat to 12

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 12 Sep 2019 14:16:37 +0200

frei0r (1.6.1-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/control: Set Vcs-* to salsa.debian.org

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ IOhannes m zmölnig (Debian/GNU) ]
  * frei0r-plugins-dev
    * Install frei0r.hpp (Closes: #930391)
    * Make frei0r-plugins-dev arch:all
      * Install arch-independent pkg-config snippets into /usr/share/
  * frei0r-plugins-doc
    * Move html-documentation from /u/s/frei0r/ to
      /usr/share/doc/frei0r-plugin-dev/
  * Removed trailing whitespace from d/changelog
  * Drop obsolete d/source/local-options
  * Bump standards-version to 4.4.0
    * Don't require "root" powers for building the package

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 16 Jul 2019 14:49:24 +0200

frei0r (1.6.1-2) unstable; urgency=medium

  * Switched from cdbs to dh-11
    * Added licensecheck target
  * Bumped standards version to 4.1.3
  * Rebuild (Closes: #881777)

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 15 Jan 2018 14:21:17 +0100

frei0r (1.6.1-1) unstable; urgency=medium

  * New upstream version 1.6.1

  * Dropped patches applied upstream.
  * Updated d/watch to scan for gpg signature.
    * Imported upstream's gpg signature

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 27 Jun 2017 23:53:19 +0200

frei0r (1.6.0-1) unstable; urgency=medium

  * New upstream version 1.6.0

  * Removed patches applied upstream.
  * Patch to force automake into 'foreign' mode
  * Updated d/copyright
  * Fixed import-orig clause in d/gbp.conf
  * Bumped debhelper compat to 10
  * Bumped standards version to 4.0.0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 19 Jun 2017 12:35:18 +0200

frei0r (1.5.0-1) unstable; urgency=medium

  * Imported Upstream version 1.5.0
    * Closes:  #841245
    * LP: #1550766

  [ IOhannes m zmölnig ]
  * Refreshed patches
    * Removed patches applied upstream
    * Added 'foreign' to automake options
    * Fixed doc-files in autotools
  * d/README.source
    * Added documentation on how to properly clone
  * d/control(.in)
    * Update Vcs-* stanzas to https://
    * Use continuation commas in multiline fields
    * Added Multi-Arch fields
    * Bumped standards-version to 3.9.8
    * Regenerated debian/control

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 19 Oct 2016 23:48:55 +0200

frei0r (1.4-3) unstable; urgency=medium

  * Fixed homepage field (frei0r is now hosted on dyne.org)
  * Updated debian/control
    + This actually enables the "Suggests: opencv-data"
      promised in the last upload
  * Updated debian/copyright_hints

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 28 May 2014 10:19:29 +0200

frei0r (1.4-2) unstable; urgency=medium

  * Suggests: opencv-data (Closes: #587736, LP: #459940)
  * Upload to unstable (LP: #1186039)

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 27 May 2014 15:48:29 +0200

frei0r (1.4-1) experimental; urgency=medium

  [ upstream ]
  * New upstream release.
    + Fixes several major bugs in existing plugins
    + New filters
    + New mixers

  [ IOhannes m zmölnig ]
  * Imported Upstream version 1.4
  * Build-depend on libcairo2-dev
  * Removed patches applied upstream
  * Added some bug-fix patches cherry-picked from upstream VCS
  * Fixed installation target for docs
  * Fixed spelling errors
  * Regenerate autobuild/make files
  * debian/source
    + Unapply patches after build
    + Abort on upstream changes
  * debian/copyright
    + Converted debian/copyright to machine-readable format
  * debian/control(.in)
    + Canonical Vcs-* stanza
    + Removed duplicate "Section:" field
    + Use Breaks:frei0r rather than Conflicts:frei0r
    + Use CDBS-style debian/control.in
    + Enabled licensecheck
    + Added myself to Uploaders
  * Updated to new upstream location (dyne.org)
    + debian/watch
    + get-orig-source target
  * Added lintian-overrides
  * Bumped standards-version to 3.9.5

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 21 May 2014 11:03:42 +0200

frei0r (1.3-1) experimental; urgency=low

  [ upstream ]
  * New upstream release.
    Hightlights since last packaging release:
    + New filters:
      - alpha0ps (alpha0ps, alphagrad, alphaspot)
      - c0rners
      - coloradj
      - d90stairsteppingfix
      - defish0r
      - denoise (hqdn3d)
      - facebl0r
      - lightgraffiti
      - measure (Pr0be, Pr0file)
      - select0r
      - sharpness
      - sopsat
    + New generators:
      - test_pat (broadcast test patterns)
    * New mixer:
      - addition_alpha
    + Better documentation.
    + Better examples for writing code that makes use of thed opencv
      library.

  [ Jonas Smedegaard ]
  * Friendly takeover, on behalf of the Debian Multimedia Maintainers.
    + Update Maintainer, Uploader and Vcs-* control fields.
    Thanks for your past contributions, Luca Bigliardi.
  * Add git-buildpackage config, enabling signed tags and pristine-tar,
    and filtering out upstream .gitignore file. Drop earlier odd config
    in root dir.
  * Drop obsolete DM-Upload-Allowed control field.
  * Soft-include CDBS upstream-tarball.mk snippet, to provide
    get-orig-source target.
  * Add watch file.
  * Relax to build-depend unversioned on debhelper and libgavl-dev:
    Needed versions satisfied in stable, and oldstable no longer
    supported.
  * Add a bunch of bug-fix patches cherry-picked from upstream VCS.
  * Build-depend on autotools-dev (and not libtool, automake or
    autoconf), and drop sloppy autoreconf introduced in
    1.1.22git20091109-1.2.
  * Build-depend on dh-buildinfo, to help debug independently from
    central Debian resources.
  * Bump debhelper compatibility level to 8.
  * Bump standards-version to 3.9.4.
  * Git-ignore quilt .pc dir.
  * Use source format 3.0 (quilt).
  * Build-depend on libopencv-dev (and not libcv-dev, libcvaux-dev or
    libhighgui-dev).
  * Build-depend on doxygen, and build html documentation.
  * Fix install docs below /usr/share (not /usr/share/doc).

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 26 Dec 2012 03:14:28 +0100

frei0r (1.1.22git20091109-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "FTBFS: filter/facedetect/facedetect.c:231:36: error: too few
    arguments to function 'cvHaarDetectObjects'" Supply minimum and
    maximum sizes to mimic previous single size requirement.
    (Closes: #652759)

 -- Neil Williams <codehelp@debian.org>  Sat, 03 Mar 2012 11:17:14 +0000

frei0r (1.1.22git20091109-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Build against current libcv which changes the soname (Closes: #590925)

 -- Moritz Muehlenhoff <jmm@debian.org>  Thu, 05 Aug 2010 20:29:50 -0400

frei0r (1.1.22git20091109-1) unstable; urgency=low

  * New import from upstream.
  * Increase standard version to 3.8.3.
  * Temporary depend on libcvaux-dev and libhighgui-dev for a bug in opencv
    (Closes: #560546).

 -- Luca Bigliardi <shammash@artha.org>  Fri, 15 Jan 2010 17:18:18 +0100

frei0r (1.1.22git20090409-2) unstable; urgency=low

  * Conflict with unofficial package frei0r (Closes: #526634).

 -- Luca Bigliardi <shammash@artha.org>  Mon, 01 Jun 2009 11:37:06 +0200

frei0r (1.1.22git20090409-1) unstable; urgency=low

  * Sync with upstream git to add pkg-config file.

 -- Luca Bigliardi <shammash@artha.org>  Thu, 09 Apr 2009 17:39:36 +0200

frei0r (1.1.22git20090209-1) unstable; urgency=low

  * First official debian package (Closes: #514639).
  * Import some fixes from upstream.
  * Switch to cdbs.
  * Build-depend on pkg-config.
  * Use installed documentation.
  * Remove watch file (source code in git repository).
  * Rename source package in frei0r.
  * Rename plugins binary package in frei0r-plugins.
  * Rename libfrei0r-* in frei0r-plugins-*.

 -- Luca Bigliardi <shammash@artha.org>  Thu, 26 Feb 2009 15:03:02 +0100

frei0r-plugins (1.1.22-0.2) unstable; urgency=low

  * Rebuild against the latest libgavl-dev 1.1.0

 -- Christian Marillat <marillat@debian.org>  Mon, 02 Feb 2009 12:21:15 +0100

frei0r-plugins (1.1.22-0.1) unstable; urgency=low

  * Update watch file.
  * Build against the latest libgavl-dev 1.0.1

 -- Christian Marillat <marillat@debian.org>  Thu, 11 Dec 2008 23:56:33 +0100

frei0r-plugins (1.1.22-0.0) unstable; urgency=low

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Wed, 29 Oct 2008 08:23:52 +0100

frei0r (1.1.21git20081022-0.0) unstable; urgency=low

  * Update the version number to the real version 1.1.21
  * Remove the water plugin who doesn't work. I'll add this plugin later.

 -- Christian Marillat <marillat@debian.org>  Thu, 23 Oct 2008 10:50:10 +0200

frei0r (1.1git20081022-0.0) unstable; urgency=low

  * Initial release.

 -- Christian Marillat <marillat@debian.org>  Wed, 22 Oct 2008 16:06:34 +0200
